Package org.silverpeas.mobile.shared.services.rest

## Interface ServiceUserCalendar

- All Superinterfaces:
    `org.fusesource.restygwt.client.RestService`

      @Path("/usercalendar")
      public interface ServiceUserCalendar
      extends org.fusesource.restygwt.client.RestService

  Author:
    svu

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `getCalendars​(String componentInstanceId, org.fusesource.restygwt.client.MethodCallback<List<CalendarDTO>> callback)` |
    `void` | `getEvent​(String calendarId, String eventId, org.fusesource.restygwt.client.MethodCallback<CalendarEventDTO> callback)` |
    `void` | `getOccurences​(String componentInstanceId, String calendarId, String startDateOfWindowTime, String endDateOfWindowTime, String zoneid, org.fusesource.restygwt.client.MethodCallback<List<CalendarEventDTO>> callback)` |

- - ### Method Detail

    - #### getCalendars

          @GET
          @Path("{componentInstanceId}/")
          void getCalendars​(@PathParam("componentInstanceId")
                            String componentInstanceId,
                            org.fusesource.restygwt.client.MethodCallback<List<CalendarDTO>> callback)

    - #### getOccurences

          @GET
          @Path("{componentInstanceId}/{calendarId}/events/occurrences/")
          void getOccurences​(@PathParam("componentInstanceId")
                             String componentInstanceId,
                             @PathParam("calendarId")
                             String calendarId,
                             @QueryParam("startDateOfWindowTime")
                             String startDateOfWindowTime,
                             @QueryParam("endDateOfWindowTime")
                             String endDateOfWindowTime,
                             @QueryParam("zoneid")
                             String zoneid,
                             org.fusesource.restygwt.client.MethodCallback<List<CalendarEventDTO>> callback)

    - #### getEvent

          @GET
          @Path("{calendarId}/events/{eventId}")
          void getEvent​(@PathParam("calendarId")
                        String calendarId,
                        @PathParam("eventId")
                        String eventId,
                        org.fusesource.restygwt.client.MethodCallback<CalendarEventDTO> callback)